.TH wxSashWindow 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSashWindow \- See external documentation: wxSashWindow\&.
.SH DESCRIPTION
.LP
See external documentation: wxSashWindow <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSashWindow()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSashWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowwxsashwindow>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxSashWindow()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxSashWindow()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowwxsashwindow>\&.
.RE
.LP
.B
getSashVisible(This::wxSashWindow(), Edge::WxSashEdgePosition) -> bool()
.br
.RS
.TP
Types
WxSashEdgePosition = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowgetsashvisible>\&. 
.br
 WxSashEdgePosition is one of ?wxSASH_TOP | ?wxSASH_RIGHT | ?wxSASH_BOTTOM | ?wxSASH_LEFT | ?wxSASH_NONE
.RE
.LP
.B
getMaximumSizeX(This::wxSashWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowgetmaximumsizex>\&.
.RE
.LP
.B
getMaximumSizeY(This::wxSashWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowgetmaximumsizey>\&.
.RE
.LP
.B
getMinimumSizeX(This::wxSashWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowgetminimumsizex>\&.
.RE
.LP
.B
getMinimumSizeY(This::wxSashWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowgetminimumsizey>\&.
.RE
.LP
.B
setMaximumSizeX(This::wxSashWindow(), Max::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowsetmaximumsizex>\&.
.RE
.LP
.B
setMaximumSizeY(This::wxSashWindow(), Max::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowsetmaximumsizey>\&.
.RE
.LP
.B
setMinimumSizeX(This::wxSashWindow(), Min::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowsetminimumsizex>\&.
.RE
.LP
.B
setMinimumSizeY(This::wxSashWindow(), Min::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowsetminimumsizey>\&.
.RE
.LP
.B
setSashVisible(This::wxSashWindow(), Edge::WxSashEdgePosition, Sash::bool()) -> ok
.br
.RS
.TP
Types
WxSashEdgePosition = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashwindow\&.html#wxsashwindowsetsashvisible>\&. 
.br
 WxSashEdgePosition is one of ?wxSASH_TOP | ?wxSASH_RIGHT | ?wxSASH_BOTTOM | ?wxSASH_LEFT | ?wxSASH_NONE
.RE
.LP
.B
destroy(This::wxSashWindow()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
